Bug 374231

Summary: NFS shares broken
Product: [Fedora] Fedora Reporter: Ryan Helinski <rlhelinski>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 7CC: dwalsh, eparis, sds, trevor, triage
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-14 11:20:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ryan Helinski 2007-11-09 21:50:46 EST
Description of problem:
Recent upgrade has broken client-side NFS mount. There is one NFS share with
multiple exported subdirectories (/nfs). The top-level share works fine, but
some of the subdirectories which are all explicitly listed in the server
'/etc/exports' file fail. Trying to CD or LS results in: 
ls: cannot access /nfs/home: Invalid argument

The only log file which seems to produce an error during this event is 'dmesg':
SELinux: security_context_to_sid(****) failed for (dev 0:12, type nfs) errno=-22

Where **** is about 10 non-standard ASCII characters looking like symbols and
question marks. The length of this string seems to vary. 

Upgrading today to the latest version of 'nfs-utils' and kernel seems to allow
one out of four of my shares to work correctly, the 'rw' one (/nfs/tmp).

Please let me know what other information I can provide. 


Version-Release number of selected component (if applicable):
Linux 2.6.23.1-21.fc7
nfs-utils.x86_64 1:1.1.0-4.fc7

How reproducible:
Not sure if it's configuration or what--it was working until now. My
configuration is based on the 'fedorasolved.org' NFS tutorial.
Comment 1 Trevor Cordes 2007-11-24 08:30:58 EST
Try turning "off" selinux (targeted/permissive).  If that fixes it, obviously
it's a selinux issue and some selinux tweaking will be required.  See the many
other selinux and nfs bugs here.

Are you running NFSv3 or v4 for this client?  If v4, make sure you're exporting
dirs that all share the same dir root (fsid=0).  The setup can be tricky.
Comment 2 Steve Dickson 2007-11-26 08:03:34 EST
Dan, does this look familiar? 
Comment 3 Ryan Helinski 2007-11-26 08:15:00 EST
I did not notice any SELinux alerts from the troubleshooter that appeared when I
was having this problem (this machine has since moved off the network). There
was just the 'security_context_to_sid(****)'. The random garbage in the alert
string just sounded like a bug to me. 

It is NFSv4. I was exporting DIRS with the same root dir (fsid=0), although some
of them were 'bind's of other directories. I still have other machines FC6 and
FC7 on that network, and they seem fine. 

Should I close this bug since I'm no longer able to mount the server (which
works) with the workstation machine (which has the problem)?
Comment 4 Daniel Walsh 2007-11-26 12:08:41 EST
This sounds like a kernel problem.
Comment 5 Stephen Smalley 2007-11-26 13:41:21 EST
Looks like the nfs clone mount problem.  Eric has patches pending for SELinux
and NFS to fix.
Comment 6 Eric Paris 2007-11-26 13:52:23 EST
yeah, dupe of 245058
Comment 7 Bug Zapper 2008-05-14 11:01:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Eric Paris 2008-05-14 11:20:05 EDT
closing as upstream since a fix was accepted into 2.6.25